
/* Standard button hover behaviour */
.mr-3:hover {
    transition: transform 0.3s cubic-bezier(0, 0.5, 0, 1);
}

.mr-3:hover:hover {
    transform: scale(1.05);
}

/* Removing outline on buttons */
.btn-primary {
    border: none;
}

/* MOBILE BUTTONS DIV (HIDDEN ON BIGGER SCRRENS) */

.mobile-btn-div{
    display: flex;
    position: absolute;
    height: 100%;
    width: 100%;
    justify-content: center;
    align-items: center;
}

/* ------------INFO BUTTONS IN CARDS-------------- */
.custom-card-info-btn {
    position: absolute;
    top: 8px;
    right: 8px;
    border-radius: 5px;
    border: none;
    background-color: var(--secondary)!important;
    box-shadow: var(--shadow-s);
    color: var(--text-main);
}

.custom-card-info-btn:hover {
    background-color: hsl(from var(--secondary) h s calc(l + 10))!important;
    box-shadow: var(--shadow-m);
    color: var(--text-main)!important;
}


/* ------------REPORT BUTTONS-------------- */
.custom-report-btn {
    border-radius: 10px;
    padding: 5px;
    width:100%;
    font-size: var(--font-size-body);
    font-weight: 600;
    margin:5px;
    transition: background-color 0.8s cubic-bezier(0, 0.5, 0, 1);
    cursor: pointer;

    background-color: var(--accent)!important;
    color: var(--text-header);
    box-shadow: var(--shadow-s);
}

.custom-report-btn:hover:hover {
    transform: scale(1.02);
    background-color: hsl(from var(--accent) h s calc(l - 5)) !important;    /* darker blue on hover */
    color: var(--text-header)!important;
    box-shadow: var(--shadow-l)
}

.custom-report-btn:active {
    transform: scale(0.98);
    background-color: hsl(from var(--accent) h s calc(l - 5))!important;
    box-shadow: none;
}


/* ------------INFO AND EXPAND BUTTON DIVS-------------- */
.info-button-div {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 10px;
    z-index: 100;
    gap:5px;
}

.expand-button-div{
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 10px;
    z-index: 100; 
    gap:5px;
}


/* ------------ INFO AND EXPAND BUTTON STYLES -------------*/
.custom-main-info-btn,
.custom-expand-btn {
    border-radius: 5px;
    background-color: var(--secondary)!important;
    box-shadow: var(--shadow-s);
    color: var(--text-main);
}
.custom-main-info-btn:hover,
.custom-expand-btn:hover {
    background-color: hsl(from var(--secondary) h s calc(l + 5))!important;
    box-shadow: var(--shadow-l)!important;
    color: var(--text-main)!important;
}



/* Div which contains all the buttons for each plot */
.all-buttons-div {
    display: flex;
    position:absolute;
    width:100%;
    bottom:0px;
    justify-content: center;
    align-items: end;
    padding:10px

}

/* MAP SPECIFIC BUTTONS */
#map-info-button-div {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 10px;
    z-index: 400;
    gap:5px;
}
#map-buttons-div{
    display: flex;
    position:absolute;
    width:100%;
    top:0px;
    justify-content: center;
    align-items: start;
    padding:10px
}

/* PROFILE LINE PLOT SPECIFIC BUTTONS */

/* view all button div  */
.generate-all-button-div {
    display:flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap:5px;
    position:absolute;
    right:55px;
}

#generate-all-charts {
    border-radius: 5px;
    background-color: var(--primary)!important;
    box-shadow: var(--shadow-s);
    color: var(--text-main);
}
#generate-all-charts:hover {
    background-color: hsl(from var(--primary) h s calc(l - 5))!important;
    box-shadow: var(--shadow-l)!important;
    color: var(--text-main)!important;
}

/*  Line navigation buttons */
#line_navigation_buttons_div {
    display: flex;
    position: absolute;
    bottom:0px;
    left:50%;
    justify-content: center;
    margin-bottom:10px;
    margin-top:10px;
    gap:5px;
    transform: translateX(-50%);
    z-index: 200;

}


@media screen and (max-width: 500px) {
    #line_navigation_buttons_div {

        position:absolute;
        top:53%;
        bottom:auto;
        margin-left: 0px !important;

    }
}

@media screen and (max-width:1250px) {
    #line_navigation_buttons_div {
        margin-left: 10px; 
    }
    
}

.profile_nav_buttons {
    margin: 0px;
    position: relative;
    z-index: 100;
    border-radius: 5px;
    width: 80px;
    height: 30px;
    line-height: 10px;
    transition: transform 0.2s ease-in-out;
    box-shadow: var(--shadow-s);
    color: var(--text-main)
}

.profile_nav_buttons:hover {
    transform: scale(1.05);
    cursor: pointer;
    color: var(--text-main)!important;
}

/*  Custom options buttons */

#line_custom_buttons_div {
    display: flex;
    position: absolute;
    justify-content: center;
    gap:5px;
    left:55px
}
#add_custom_line {
    border-radius: 5px;
    background-color: var(--primary)!important;
    box-shadow: var(--shadow-s);
    color: var(--text-main);
}
#add_custom_line:hover {
    background-color: hsl(from var(--primary) h s calc(l - 5))!important;
    box-shadow: var(--shadow-l);
    color: var(--text-main);
}

#post-storm-button-text {
    font-size: 1rem;
    text-align: center;
}

#add_poststorm_data {
    border-radius: 5px;
    color: var(--text-main);
}

#add_poststorm_data.btn:disabled{
    background-color: var(--nav-button-color-disabled)!important;
    border:none;
    opacity: 0.3;
    color: var(--text-main-muted)!important;
    pointer-events: visible;
    cursor: not-allowed;
}


.post-storm-button-off {
    background-color: var(--nav-button-color-disabled);
}
.post-storm-button-off:hover {
    background-color: hsl(from var(--nav-button-color-disabled) h s calc(l + 10))!important;
    color: var(--button-icon)!important;
}
.post-storm-button-off:active {
    background-color: hsl(from var(--nav-button-color-disabled) h s calc(l - 10))!important;
    transform: scale(0.98);
    color: var(--button-icon);
}

.post-storm-button-on {
    font-weight: 900;
    background-color: hsl(from var(--success) h s l)!important;
    box-shadow:
    0 0 6px 4px hsla(from var(--success) h s l / 0.38),
    0 0 16px 7px hsla(from var(--success) h s l / 0.20);
}
.post-storm-button-on:active {
    transform: scale(0.98);
    background-color: hsl(from var(--success) h s calc(l - 10))!important;
}





/* MOBILE BUTTONS */

.std_mobile_chart_button {
    padding:10px;
    margin:7px;
    border-radius: 10px;
    font-size: var(--font-size-body);
    font-weight: bold;
    border: none;
    transition: transform 0.2s ease, box-shadow 0.2s ease, background-color 0.2s ease;

    color: var(--text-main);
    background-color: var(--primary) !important;
    box-shadow: var(--shadow-m) !important;
    border: none

}

.std_mobile_chart_button:active {
    transform: scale(0.90);
    background-color: var(--secondary) !important;
    color:var(--text-main)!important;
}
.std_mobile_chart_button:hover{
    background-color: var(--secondary) !important;
    color:var(--text-main)!important
}



/* DIFFERENCE MODEL PAGE BUTTONS */
.custom-difference-info-btn {
    border-radius: 5px;
    position: absolute;
    top: 8px;
    right: 8px;
    border-radius: 5px;
}



.modal-close-btn{
    border-radius: 10px;
    background-color: var(--primary);
    color: var(--text-main)
}


